from .common import BaseDMXLight


class WLED(BaseDMXLight):
    name = "WLED"

    def _dump(self):
        offset = self.intensity / 255
        return self.address, [
            int(self.red * offset),
            int(self.green * offset),
            int(self.blue * offset),
        ]
